Bug 1098092 - It's not possible to query pre-defined dynagroup definitions via CLI
Summary: It's not possible to query pre-defined dynagroup definitions via CLI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: CLI
Version: 4.11
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ---
: RHQ 4.12
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: JON3-5
TreeView+ depends on / blocked
 
Reported: 2014-05-15 09:52 UTC by Filip Brychta
Modified: 2014-12-15 11:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 11:36:20 UTC


Attachments (Terms of Use)

Description Filip Brychta 2014-05-15 09:52:07 UTC
Description of problem:
You are able to query dynagroup definitions but you are not able to distinguish ordinary and pre-defined definitions. It's is possible to distinguish ordinary and pre-defined definitions via UI so it should be possible via CLI as well.

It should be possible to add a filter to ResourceGroupDefinitionCriteria which would distinguish ordinary and pre-defined definitions.

Comment 1 Libor Zoubek 2014-06-25 12:29:45 UTC
in master

commit b471b39dfe9aa4ce43fbb92299d357e387698bb1
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Wed Jun 25 14:27:02 2014 +0200

    Bug 1098092 - It's not possible to query pre-defined dynagroup definitions
    via CLI
    
    Added boolean filter parameter to ResourceGroupDefinitionCriteria class - so
    group definitions can be filtered for "userDefinedOnly" - which excludes
    provided canned expressions.

Comment 2 Heiko W. Rupp 2014-12-15 11:36:20 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.